[packages/iceweasel] - drop unsupported --remote; https://bugzilla.mozilla.org/show_bug.cgi?id=1080319; found by megabajt

arekm arekm at pld-linux.org
Fri Jan 29 23:56:57 CET 2016


commit 7dafb6538219ffa0c238ac0404438e1156380146
Author: Arkadiusz Miśkiewicz <arekm at maven.pl>
Date:   Fri Jan 29 23:56:51 2016 +0100

    - drop unsupported --remote; https://bugzilla.mozilla.org/show_bug.cgi?id=1080319; found by megabajt@

 iceweasel.sh | 36 ++++++++++--------------------------
 1 file changed, 10 insertions(+), 26 deletions(-)
---
diff --git a/iceweasel.sh b/iceweasel.sh
index e574bc0..377f7ab 100644
--- a/iceweasel.sh
+++ b/iceweasel.sh
@@ -24,33 +24,17 @@ done
 ICEWEASEL="$LIBDIR/iceweasel"
 PWD=${PWD:-$(pwd)}
 
-if [ "$1" = "-remote" ]; then
-	exec $ICEWEASEL "$@"
+if [ -z "$1" ]; then
+	exec $ICEWEASEL
 else
-	if ! $ICEWEASEL -remote 'ping()' 2>/dev/null; then
-		if [ -f "$PWD/$1" ]; then
-			exec $ICEWEASEL "file://$PWD/$1"
-		else
-			exec $ICEWEASEL "$@"
-		fi
+	if [ -f "$PWD/$1" ]; then
+		URL="file://$PWD/$1"
 	else
-		if [ -z "$1" ]; then
-			exec $ICEWEASEL -remote 'xfeDoCommand(openBrowser)'
-		elif [ "$1" = "-mail" ]; then
-			exec $ICEWEASEL -remote 'xfeDoCommand(openInbox)'
-		elif [ "$1" = "-compose" ]; then
-			exec $ICEWEASEL -remote 'xfeDoCommand(composeMessage)'
-		else
-			if [ -f "$PWD/$1" ]; then
-				URL="file://$PWD/$1"
-			else
-				URL="$1"
-			fi
-			if ! grep -q browser.tabs.opentabfor.middleclick.*false ~/.iceweasel/*/prefs.js; then
-				exec $ICEWEASEL -new-tab "$URL"
-			else
-				exec $ICEWEASEL -new-window "$URL"
-			fi
-		fi
+		URL="$1"
+	fi
+	if ! grep -q browser.tabs.opentabfor.middleclick.*false ~/.iceweasel/*/prefs.js; then
+		exec $ICEWEASEL -new-tab "$URL"
+	else
+		exec $ICEWEASEL -new-window "$URL"
 	fi
 fi
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/iceweasel.git/commitdiff/7dafb6538219ffa0c238ac0404438e1156380146



More information about the pld-cvs-commit mailing list